Package org.linphone.core

# Enum Class SignalStrengthUnit

java.lang.Object
java.lang.Enum<SignalStrengthUnit>
org.linphone.core.SignalStrengthUnit

All Implemented Interfaces:
  `Serializable`, `Comparable<SignalStrengthUnit>`, `Constable`

public enum SignalStrengthUnit extends Enum<SignalStrengthUnit>
All signal units that a device can use.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Dbm`
`Rssi`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static SignalStrengthUnit`
`fromInt(int value)`
`protected static SignalStrengthUnit[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(SignalStrengthUnit[] values)`
`static SignalStrengthUnit`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SignalStrengthUnit[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Rssi

public static final SignalStrengthUnit Rssi

### Dbm

public static final SignalStrengthUnit Dbm

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static SignalStrengthUnit[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SignalStrengthUnit valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static SignalStrengthUnit fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static SignalStrengthUnit[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(SignalStrengthUnit[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()